/* @import url(gs-layout.css); */
#grid-galerie{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 0.5em;
    grid-row-gap: 0.5em; 
    padding-left: 0.8em;
    padding-right: 0.8em;
    counter-reset: nrimag; 
}

#grid-galerie img{
    transition: all 0.125s;
    width: 100%;
}

#grid-galerie figcaption{
    text-align: center;
    counter-increment: nrimag;
}

#grid-galerie figcaption::before{
    content: counter(nrimag, lower-roman) ". ";
}

#gs-gol-1{
    grid-area: 2/2/3/3;
}

#gs-gol-2{
    grid-area: 4/2/5/3;
}

#grid-galerie>figure, #grid-galerie>div{
    margin: 0;
    border: 8px solid var(--culoare-border-iframe);
    padding: 5px;
    overflow: hidden;
}

#grid-galerie img:hover{
    animation: animatie-gs 0.125s linear forwards;
}

@keyframes animatie-gs{
    0%{
        opacity:100%;
    }
    100%{
        transform: scale(1.4);
        transform-origin: center top;
        opacity: 0.65;
        border-radius: 15px;
    }
}

@media screen and (max-width:1200px) {    
    #grid-galerie{
        display: grid;
        grid-template-columns: repeat(2, 1fr);  
        justify-items: center;
    }
    #grid-galerie>figure:nth-child(n){
        grid-area: auto;
    }
    #gs-gol-1, #gs-gol-2{
        display: none;
    }
    #grid-galerie>figure{
        min-width: 85%;
    } 
}

@media screen and (max-width:800px) {
    #grid-galerie{
        display: block;
        /* margin: auto; */
    }
    #grid-galerie figure{
        margin: auto;
        min-width: 30%;
        max-width: 60%;
        border-width: 5px;
        margin-bottom: 0.5em;

    }
    #gs-gol-1, #gs-gol-2{
        display: none;
    } 
}
